Subject: RE: [SIP] Second try : Questions about REGISTER

From: Ge Yu <[email-masked]>
Date: Wed, 3 May 2000 18:06:19 +0800

Hi, friends,

As I know through 16.1 of RFC 2543, the registration process is as follows:

1. Watson firstly sends the REGISTER request to the server at bell-tel.com,
with Contact: [email-masked]. That is, he hasn't contacted with the
server at example.com ahead of REGISTER. 
    So what happens if another [email-masked] has been registered in
example.com domain?

2. Watson registers to the server at example.com, which confirms the
registration, through the process the server at  example.com knows where to
forward the INVITE to Watson.

3. the server at example.com contacts with Registar( or it acts as Registar
itself), and stores the updated URL in Location server.

4. the sender's proxy server enquiries the location server, knows the
current URL of recepient and forwards the INVITE to example.com, which
transfers it to Watson. 

Anything missed?

Very appreciated with your kindly feedback.

Ge Yu

> ----------
> From: 	Alexandru Gavrilescu[SMTP:[email-masked]]
> Sent: 	Wednesday, May 03, 2000 2:48 AM
> To: 	Jonathan Rosenberg; Shail Bhatnagar
> Cc: 	SIP IETF
> Subject: 	RE: [SIP] Second try : Questions about REGISTER
> 
> 
> I have a question regarding Jonathan's answer to the Shail's third
> question. 
> Do we assume that tawatson has an account created for himself at
> example.com or he is just a visitor at example.com? 
> I assume the first. 
> What would be the behaviour is [email-masked] would be just a
> visitor at example.com? 
> 
>   
> -----Original Message----- 
> From: Jonathan Rosenberg [ mailto:[email-masked]] 
> Sent: Monday, May 01, 2000 9:58 PM 
> To: Shail Bhatnagar 
> Cc: SIP IETF 
> Subject: Re: [SIP] Second try : Questions about REGISTER 
> 
> 
> 
> 
> Shail Bhatnagar wrote: 
> > 
> > In section 16.1 of RFC2543bis there is an example of Registration. I 
> > have 
> > a couple of questions about this scenario. I would appreciate any 
> > responses. 
> > 
> > 1) What would be the To header of the REGISTER that T. Watson sends to 
> > the registrar at example.com. Would it be [email-masked] or 
> > [email-masked] ?? As per the description in section 4.2.6, To 
> > header 
> > domain could be different from the domain of the Request-URI in the 
> > REGISTER. 
> 
> Most likely [email-masked]. This is because if some UAC or proxy 
> wants to send a request to [email-masked], it will use DNS to find 
> the SIP server for example.com, and forward the request there. As a 
> result, watson will want to register [email-masked] with the 
> server for which requests to example.com will be routed. The spec does 
> not prohibit registering [email-masked] with example.com. 
> However, example.com is not likely to receive requests with domains of 
> bell-tel.com in the request URI. 
> 
> > 
> > 2) Let us say [email-masked] (From: [email-masked]) sends an INVITE to 
> > the 
> > proxy at bell-tel.com and the Request-URI is INVITE [email-masked].
> 
> > As per the latest registration, the Contact is [email-masked], so 
> > the proxy at bell-tel.com rewrites the Request-URI and sends it to the 
> > proxy at example.com - INVITE [email-masked]. Now what is the 
> > search 
> > key at the registrar - is it user@domain or simply user. If it is simply
> 
> > user, 
> > then domain of To header in REGISTER is meaningless. If it is 
> > user@domain, 
> > then To header of the REGISTER sent to the registrar at example.com must
> 
> > be 
> > [email-masked]. 
> 
> Thats your choice. If your proxy only handles a single domain, using 
> user alone as a lookup key into your database is fine. If your proxy 
> handles multiple domains, you will want to use the complete user@host. 
> 
> 
> > 
> > 3) What if there already exists a user tawatson at the domain 
> > example.com. 
> > Should the registrar at example.com reject the registration ?? If yes, 
> > what response code should be used ?? 
> 
> No, the new Contact would be added to the existing registration. 
> 
> -Jonathan R. 
> 
> -- 
> Jonathan D. Rosenberg                       72 Eagle Rock Ave. 
> Chief Scientist                             First Floor 
> dynamicsoft                                 East Hanover, NJ 07936 
> [email-masked]                     FAX:   (732) 741-4778 
> http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244 
> http://www.dynamicsoft.com 
> 
> 
> _______________________________________________ 
> SIP mailing list 
> [email-masked] 
> http://lists.bell-labs.com/mailman/listinfo/sip 
> 
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 03 May 2000 18:16:17 -0400

>     So what happens if another [email-masked] has been registered in

Watson wouldn't send the registration with Contact: [email-masked]
unless he was sure he owned that name at example.com. The assumption,
stated in 16.1, is that watson has visiting rights at example.com, and
so he knows that [email-masked] is his own address.

-Jonathan R.